Subject: Re: linux-next: manual merge of the broadcom tree with the spdx tree

From: William Zhang <[email-masked]>
Date: Mon, 11 Jul 2022 10:31:08 -0700

On 7/10/22 23:19, Greg KH wrote:
> On Mon, Jul 11, 2022 at 09:55:20AM +1000, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the broadcom tree got a conflict in:
>>
>>    arch/arm/mach-bcm/bcm63xx.c
>>
>> between commit:
>>
>>    52e6676ef56f ("treewide: Replace GPLv2 boilerplate/reference with SPDX - gpl-2.0_30.RULE (part 1)")
>>
>> from the spdx tree and commit:
>>
>>    889390f83d4e ("arm: bcmbca: Move BCM63138 ARCH_BCM_63XX to ARCH_BCMBCA")
>>
>> from the broadcom tree.
>>
>> I fixed it up (I just removed the file) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but any
>> non trivial conflicts should be mentioned to your upstream maintainer
>> when your tree is submitted for merging.  You may also want to consider
>> cooperating with the maintainer of the conflicting tree to minimise any
>> particularly complex conflicts.
> 
> Removing is fine, thanks.
> 
> greg k-h

Thanks Greg and Stephen! This file is no longer needed so simply 
removing it fine.  Will work closely with Florian to minimize any 
potentially conflict in future BCMBCA related changes.